> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-mintlify-80308f89.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all Publishers

> This endpoint returns a list of all protocols publishers



## OpenAPI

````yaml get /eka-mcp/protocols/v1/publishers/all
openapi: 3.1.0
info:
  title: MCP Eka Assist API
  description: Eka Assist documentation
  version: 1.0.0
  contact:
    name: Nikhil
    url: https://eka.care/
    email: nikhil.kasukurthi@eka.care
servers:
  - url: https://api.dev.eka.care
    description: Staging Server
  - url: https://api.eka.care
    description: Prod Server
security:
  - BearerAuth: []
tags:
  - name: protocols
  - name: medications
  - name: pharmacology
  - name: snomed
paths:
  /eka-mcp/protocols/v1/publishers/all:
    get:
      tags:
        - protocols
      summary: Get all Publishers
      description: This endpoint returns a list of all protocols publishers
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProtocolPublishers.e57b7a5'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericErr.82b01e4'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericErr.82b01e4'
components:
  schemas:
    ProtocolPublishers.e57b7a5:
      items:
        type: string
      title: ProtocolPublishers
      type: array
    GenericErr.82b01e4:
      properties:
        error:
          title: Error
          type: string
      required:
        - error
      title: GenericErr
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter JWT token

````